---
- name: Create PVC for librenms data
  kubernetes.core.k8s:
    state: present
    definition:
      apiVersion: v1
      kind: PersistentVolumeClaim
      metadata:
        name: "{{ k8s_librenms_release }}-ska-nmgr-librenms-{{ k8s_librenms_namespace }}-data"
        namespace: "{{ k8s_librenms_namespace }}"
        labels:
          app.kubernetes.io/instance: "{{ k8s_librenms_release }}"
          app.kubernetes.io/name: ska-nmgr-librenms
      spec:
        storageClassName: nfss1
        accessModes:
          - ReadWriteMany
        resources:
          requests:
            storage: 10Gi

- name: Deploy Librenms
  kubernetes.core.helm:
    name: "{{ k8s_librenms_release }}"
    chart_repo_url: "{{ k8s_librenms_helm_chart_repo }}"
    chart_ref: "{{ k8s_librenms_helm_chart }}"
    chart_version: "{{ k8s_librenms_helm_chart_version }}"
    release_namespace: "{{ k8s_librenms_namespace }}"
    create_namespace: true
    state: present
    values: "{{ lookup('template', 'values.yml.j2') | from_yaml }}"

- name: Create Service for librenms database
  kubernetes.core.k8s:
    state: present
    definition:
      apiVersion: v1
      kind: Service
      metadata:
        labels:
          app.kubernetes.io/instance: "{{ k8s_librenms_release }}"
          app.kubernetes.io/name: ska-nmgr-librenms
        name: "{{ k8s_librenms_release }}-ska-nmgr-librenms-librenmsdb"
        namespace: "{{ k8s_librenms_namespace }}"
      spec: "{{ k8s_librenms_service_spec }}"
